/*
*
*  RMProperty.java
*
*  SPECT: Simple Portal-Enhancing Configuration Tool
*  Copyright (C) 1999, 2000 Ray Ontko & Co.
*  http://www.ontko.com/
*
*  This program is a simple-to-use configuration tool for Brio.Portal
*  (formerly ReportMart).
*
*  "Brio.Portal" is a trademark of Brio Technology, http://www.brio.com/ .
* 
* 
*  This program is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by 
*  the Free Software Foundation; either version 2 of the License, or 
*  (at your option) any later version. 
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of 
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
*  Public License for more details. 
* 
*  A copy of the GPL is available online the GNU web site: 
* 
*    http://www.gnu.org/copyleft/gpl.html
* 
*/ 

/* 
*  This file defines the RMProperty class, which is used by the other
*  classes to hold the parameters entered in the scripting action.
*/

public class RMProperty {

  public String name;
  public String value;
  public boolean is_default;

  public RMProperty(){}
  public RMProperty(String name, String value) {
    this.name = name;
    this.value = value;
    is_default = true;
  }

  public Object clone() {
    RMProperty rmp = new RMProperty();
    rmp.name = new String(this.name);
    rmp.value = new String(this.value);
    rmp.is_default = this.is_default;
    return rmp;
  }

  public String toString() {
    return name + "= \"" + value + "\"";
  }
}
